Bug 960909 - [abrt] turpial-1.6.9-2.fc18: preferences.py:102:__save:UnboundLocalError: local variable 'startup' referenced before assignment
[abrt] turpial-1.6.9-2.fc18: preferences.py:102:__save:UnboundLocalError: loc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: turpial (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edwind Richzendy Contreras Soto
Fedora Extras Quality Assurance
abrt_hash:b6dc5dc9efa3f2b2c880ed3e952...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 05:49 EDT by Adam
Modified: 2014-02-05 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:16:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (593 bytes, text/plain)
2013-05-08 05:49 EDT, Adam
no flags Details
File: environ (1.52 KB, text/plain)
2013-05-08 05:49 EDT, Adam
no flags Details

  None (edit)
Description Adam 2013-05-08 05:49:12 EDT
Description of problem:
Runing Turpial when using a proxy

Version-Release number of selected component:
turpial-1.6.9-2.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/turpial
core_backtrace: 6d53a3dfa4f9e120446a3dfe539ebaea653523dd 0x66 __save /usr/lib/python2.7/site-packages/turpial/ui/gtk/preferences.py -
executable:     /usr/bin/turpial
kernel:         3.8.8-203.fc18.x86_64
uid:            500
ureports_counter: 1

Truncated backtrace:
preferences.py:102:__save:UnboundLocalError: local variable 'startup' referenced before assignment

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/turpial/ui/gtk/preferences.py", line 102, in __save
    'Startup': startup,
UnboundLocalError: local variable 'startup' referenced before assignment

Local variables in innermost frame:
widget: <gtk.Button object at 0x2000a00 (GtkButton at 0x265ed40)>
proxy: {'username': '', 'url': 'www-proxy.us.oracle.com', 'password': '', 'port': '', 'server': ''}
self: <Preferences object at 0x2000960 (GtkWindow at 0x1fd6e70)>
Comment 1 Adam 2013-05-08 05:49:15 EDT
Created attachment 745152 [details]
File: backtrace
Comment 2 Adam 2013-05-08 05:49:17 EDT
Created attachment 745153 [details]
File: environ
Comment 3 Edwind Richzendy Contreras Soto 2013-05-08 12:19:02 EDT
turpial don't have http proxy support but you can use turpial over proxy using proxy configuration on terminal with enviroment variables, for example:

# export http_proxy='http://user:password@www-proxy.us.oracle.com:8080'
# turpial

but perhaps also work if the proxy is configured from the preferences of gnome

Please let me know if it is all right to proceed to close the ticket
Comment 4 Adam 2013-05-21 03:59:09 EDT
Gnome proxy settings are ignored. Also, when I try to set a proxy directly in the Turpial settings it silently fails when I hit save:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/turpial/ui/gtk/preferences.py", line 102, in __save
    'Startup': startup,
UnboundLocalError: local variable 'startup' referenced before assignment
Comment 5 Edwind Richzendy Contreras Soto 2013-05-21 08:37:09 EDT
The proxy configuration in turpial named: "Twitter API proxy"  is a feature to be used in countries like China, where Twitter and other services are blocked by firewalls. That option only changes the base URL for Twitter requests, it doesn't handle a real proxy.

Turpial 1.6.9 should recognize the Gnome proxy settings but if you use another desktop environment or want to configure yourself use proxy enviroment variable. Turpial 2.0 will brings with native proxy support, so this problem will be solved soon.
Comment 6 Fedora End Of Life 2013-12-21 08:26:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 16:16:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.